Subject: Re: bug#49078: dejagnu-1.6.3 test failure

From: Jacob Bachmeyer <[email-masked]>
Date: Fri, 18 Jun 2021 22:53:16 -0500

The log appears to show a different but related issue compared with 
PR47795.  Both of you reported logs with the same error occurring at the 
same point.  In both cases, the child Expect exits for no apparent 
reason when directed to execute a unit test file.

I *have* been able to replicate the issue, now that I see a key detail 
from the log files:  both of you are building in the source directory, 
which should work but is not typically tested.  Even more bizarrely, the 
issue only appears, even in this configuration, on some machines.

Efforts to trace this in the (Expect) code are in progress.  What 
distributions are each of you running?

Does the problem disappear if you build and test in a separate directory?

-- Jacob